* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html,
body {
  scroll-behavior: smooth;
}

body {
  margin: 0;
  background-color: #f6f0fb;
  font-family: "Poppins", sans-serif;
}

a {
  text-decoration-line: none;
}

header {
  background-color: #fff;
  padding: 24px 32px;
}

.header-content {
  max-width: 1290px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 0 auto;
}

nav {
  display: flex;
}

nav a + a {
  margin-left: 60px;
}

nav a {
  font-weight: 600;
  font-size: 16px;
  color: #492118;
}

.logo {
  width: 50px;
}

img {
  width: 100%;
}

main {
  padding: 0px 32px;
}

.hero-section {
  margin-top: 50px;
}

.logo img {
  width: 100%;
}

.img-container {
  max-width: 1290px;
  margin: 0 auto;
}

.hero-section p {
  color: #492118;
  text-align: center;
  font-size: 24px;
}

.section {
  margin-top: 120px;
}

.section .img-container {
  max-width: 600px;
}

nav .close-icon {
  text-align: center;
}

.close-icon:hover {
  cursor: pointer;
}

.img-container img {
  border-radius: 1rem;
}

.section h2 {
  text-align: center;
  font-size: 48px;
  font-weight: 700;
  color: #492118;
}

.go-to-top {
  text-align: right;
  max-width: 100%;
  margin: 0 auto;
  font-weight: 700;
  font-size: 32px;
  margin: 40px;
}

.go-to-top a {
  text-decoration-line: underline;
}

.footer-text {
  text-align: center;
  color: #858585;
  font-size: 20px;
}

/* by default hidden elements */

.hide {
  display: none;
}

.show {
  display: block;
}

.flexDisplay {
  display: flex;
}

@media (max-width: 960px) {
  nav a + a {
    margin-left: 40px;
  }

  nav a {
    font-size: 12px;
  }
}

@media (max-width: 745px) {
  nav a {
    font-size: 10px;
  }
}

.hamburger-menu:hover {
  cursor: pointer;
}

@media (max-width: 666px) {
  /* reducing the padding from the header */
  header {
    padding: 16px 24px;
    position: sticky;
    top: 0px;
  }

  .show-hide {
    display: none;
    flex-direction: column;
    gap: 1rem;
    position: absolute;
    top: 10px;
    right: 10px;
    /* background-color: #f6f0fb; */
    /* backdrop-filter: blur(10px); */
  }

  .show-element {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    position: absolute;
    top: 10px;
    right: 10px;
    /* background-color: #f6f0fb; */
    /* backdrop-filter: blur(10px); */
  }

  nav a {
    font-size: 10px;
    margin-left: 40px;
  }

  .show-hide .hide {
    display: block;
    text-align: right;
  }

  .hamburger-menu .hide {
    display: block;
    background-color: #fff;
  }
}
